import sys, os, mmap

def BGAEdit(BGAProfilePath,isCampaign):
  FileList = os.listdir(BGAProfilePath)
  ProfileList = []
  
  for File in FileList: #Only include valid saved games
    if (File.find("Meta") == -1 and File.find("CrossCampaign") == -1):
      ProfileList.append(File)
  
  while True: #Saved game selection input loop
    ProfileCounter = 1
    for Profile in ProfileList: #Display list of games
      print(ProfileCounter,": ",ProfileList[ProfileCounter-1].replace('.sav',''),sep='')
      ProfileCounter += 1
    
    EditProfile = int(input("\nSelect Profile: ")); print("")
    if (EditProfile < 1 or EditProfile >= ProfileCounter):
      print("Invalid Selection - Try Again\n")
      continue
    else:
      break
    
  with open(os.path.join(BGAProfilePath,ProfileList[EditProfile-1]),"rb+") as Profile:
    ProfileMM = mmap.mmap(Profile.fileno(), 0)
 
  while True: #Edit mode input loop
    print("1: Edit Admiral")
    print("2: Edit Ships")
    print("3: Go Back")
    EditMode = input("\nSelect Mode: "); print("")
    
    if (EditMode == "1"):
      EditAdmiral(ProfileMM,ProfileList[EditProfile-1].replace('.sav',''),isCampaign)
      continue
    elif (EditMode == "2"):
      EditShips(ProfileMM)
      continue
    if (EditMode == "3"):
      return
    else:
      print("Invalid Selection - Try Again\n")
      continue
  return

def EditAdmiral(ProfileMM, AdmiralName, isCampaign):
  while True: #Admiral property edit input loop
    ProfileMM.seek(0)
    if (isCampaign == 1):
      ProfileMM.seek(ProfileMM.find(b'\x50\x72\x6F\x66\x69\x6C\x65\x53\x61\x76\x65'))  #ProfileSave

    ProfileMM.seek(ProfileMM.find(b'\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00')+12) #EnumFaction
    StrLength = int.from_bytes(ProfileMM.read(4),sys.byteorder)
    ProfileMM.seek(13,os.SEEK_CUR)
    AdmiralFaction = ProfileMM.read(StrLength-14).decode("utf-8")
    if (isCampaign == 1):
      ProfileMM.seek(ProfileMM.find(b'\x4E\x61\x6D\x65\x00')+30)  #Name
      StrLength = int.from_bytes(ProfileMM.read(4),sys.byteorder)
      AdmiralName = ProfileMM.read(StrLength-1).decode("utf-8")
    ProfileMM.seek(ProfileMM.find(b'\x4C\x65\x76\x65\x6C\x00\x0C')+30)  #Level
    AdmiralLevel = ProfileMM.read_byte()
    ProfileMM.seek(ProfileMM.find(b'\x52\x65\x6E\x6F\x77\x6E\x65\x64\x50\x6F\x69\x6E\x74\x73')+39)  #RenownedPoints
    AdmiralRenown = int.from_bytes(ProfileMM.read(4),sys.byteorder)
    AdmiralEliteLevel = ProfileMM.find(b'\x45\x6C\x69\x74\x65\x4C\x65\x76\x65\x6C')  #EliteLevel
    if (AdmiralEliteLevel == -1): #If no Elite rank battles have been fought then this field will not exist
      AdmiralEliteLevel = b'\x0B\x00\x00\x00\x45\x6C\x69\x74\x65\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00'
      InsertIntoMM(ProfileMM,AdmiralEliteLevel,ProfileMM.tell())
      AdmiralEliteLevel = 0
    else:
      ProfileMM.seek(AdmiralEliteLevel+35)
      AdmiralEliteLevel = int.from_bytes(ProfileMM.read(4),sys.byteorder)
    AdmiralDifficulty = ProfileMM.find(b'\x45\x6E\x75\x6D\x44\x69\x66\x66\x69\x63\x75\x6C\x74\x79') #EnumDifficulty
    if (AdmiralDifficulty == -1): #If difficulty is EASY there is no EnumDifficulty field so this will fail
      AdmiralDifficulty = "EASY"
    else:
      ProfileMM.seek(AdmiralDifficulty+15)
      StrLength = int.from_bytes(ProfileMM.read(4),sys.byteorder)
      ProfileMM.seek(16, os.SEEK_CUR)
      AdmiralDifficulty = ProfileMM.read(StrLength-17).decode("utf-8")
      ProfileMM.seek(0)
    if (isCampaign == 1):
      ProfileMM.seek(ProfileMM.find(b'\x44\x65\x70\x6C\x6F\x79\x6D\x65\x6E\x74\x41\x6C\x6C\x6F\x77\x65\x64')+53)  #DeploymentAllowed
      AdmiralDeployments = ProfileMM.read_byte()
    if (AdmiralFaction == "SPACE_MARINE"):
      SpaceMarineChapterValues = {1:"IMPERIAL FISTS", 2:"DARK ANGELS", 3:"SPACE WOLVES", 4:"BLOOD ANGELS"}
      SpaceMarineChapter = ProfileMM.find(b'\x53\x75\x62\x46\x61\x63\x74\x69\x6F\x6E\x49\x6E\x64\x65\x78')  #SubFactionIndex
      if (SpaceMarineChapter == -1):
        SpaceMarineChapter = "ULTRAMARINES"  #Rather than making the SubFactionIndex 0 and be consistent, Ultramarines lack the field entirely
      else:
        ProfileMM.seek(SpaceMarineChapter+40)
        SpaceMarineChapter = int.from_bytes(ProfileMM.read(4),sys.byteorder)
        SpaceMarineChapter = SpaceMarineChapterValues[SpaceMarineChapter]
    
    #If the Admiral has never fought a battle, there will be no XPTotal field at all.
    #If the Admiral just leveled and has no XP toward the next level there will be no CurrentXP field.
    #In order to manipulate the level, these fields must be inserted into the profile. This code handles that.
    ProfileMM.seek(0)
    if (isCampaign == 1):
      ProfileMM.seek(ProfileMM.find(b'\x50\x72\x6F\x66\x69\x6C\x65\x53\x61\x76\x65'))  #ProfileSave
    XPStart = ProfileMM.find(b'\x4C\x65\x76\x65\x6C\x00\x0C')+34 #Level
    XPEnd = ProfileMM.find(b'\x43\x50\x4D\x61\x78')  #CPMax (CurrentXP and XPTotal must appear before this)
    AdmiralCurrentXP = ProfileMM.find(b'\x43\x75\x72\x72\x65\x6E\x74\x58\x50',XPStart,XPEnd) #CurrentXP
    if (AdmiralCurrentXP != -1):
      ProfileMM.seek(AdmiralCurrentXP+34)
      AdmiralCurrentXP = int.from_bytes(ProfileMM.read(4),sys.byteorder)
    else:
      AdmiralCurrentXP = b'\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00'
      InsertIntoMM(ProfileMM,AdmiralCurrentXP,XPStart)
      AdmiralCurrentXP = 0
      XPStart += 42 #We insert 42 bytes in the profile to write CurrentXP, so our XP offsets need adjustment.
      XPEnd += 42
    AdmiralTotalXP = ProfileMM.find(b'\x58\x50\x54\x6F\x74\x61\x6C',XPStart,XPEnd)  #XPTotal
    if (AdmiralTotalXP != -1):
      ProfileMM.seek(AdmiralTotalXP+32)
      AdmiralTotalXP = int.from_bytes(ProfileMM.read(4),sys.byteorder)
    else:
      AdmiralTotalXP = b'\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00'
      InsertIntoMM(ProfileMM,AdmiralTotalXP,XPStart)
      AdmiralTotalXP = 0
      
    ProfileMM.seek(0)
      
    print("Admiral Properties\n")
    print("(Name):",AdmiralName)
    print("(Faction):",AdmiralFaction)
    if (AdmiralFaction == "SPACE_MARINE"):
      print("(Chapter):",SpaceMarineChapter)
    print("(Difficulty):",AdmiralDifficulty)
    print("Level:",AdmiralLevel)
    print("(CurrentXP):",AdmiralCurrentXP)
    print("(TotalXP):",AdmiralTotalXP)
    print("Renown:",AdmiralRenown)
    if (isCampaign == 1):
      print("\nCampaign Options")
      print("Deployments:",AdmiralDeployments)
      print("Missions: Resolve non-priority missions")
    print("EliteLevel:",AdmiralEliteLevel)
    print("\nShip: Add Ship")
    print("EscortUpgrades: Max upgrade slots for all ESCORT ships")
    print("NextLevel: Set XP to one victory away from level up")
    print("MAXADMIRAL!: EscortUpgrades + all ship slots unlocked + level 8 and 100k renown")
    print("Back: Go Back")
    EditProperty = input("\nSelect Property: "); print("")
    
    if (EditProperty == "Level"):
      AdmiralLevelNew = int(input("Enter new level: ")); print("")
      EditLevel(ProfileMM,1,AdmiralLevelNew,0)
    elif (EditProperty == "Renown"):
      AdmiralRenownNew = int(input("Enter new renown: ")); print("")
      ProfileMM.seek(ProfileMM.find(b'\x52\x65\x6E\x6F\x77\x6E\x65\x64\x50\x6F\x69\x6E\x74\x73')+39)  #RenownedPoints
      ProfileMM.write(AdmiralRenownNew.to_bytes(4,sys.byteorder))
    elif (EditProperty == "Deployments" and isCampaign == 1):
      AdmiralDeploymentsNew = int(input("Enter new number of deployments: ")); print("")
      ProfileMM.seek(ProfileMM.find(b'\x44\x65\x70\x6C\x6F\x79\x6D\x65\x6E\x74\x41\x6C\x6C\x6F\x77\x65\x64')+53)  #DeploymentAllowed
      ProfileMM.write(AdmiralDeploymentsNew.to_bytes(4,sys.byteorder))
    elif (EditProperty == "Missions" and isCampaign == 1):
      ResolveMissions(ProfileMM)
    elif (EditProperty == "EliteLevel"):
      AdmiralEliteLevelnew = int(input("Enter new elite level: ")); print("")
      ProfileMM.seek(ProfileMM.find(b'\x45\x6C\x69\x74\x65\x4C\x65\x76\x65\x6C')+35)  #EliteLevel
      ProfileMM.write(AdmiralEliteLevelnew.to_bytes(4,sys.byteorder))
    elif (EditProperty == "Ship"):
      ShipClass = input("What Class of ship? (LIGHT_CRUISER, CRUISER, BATTLECRUISER, BATTLESHIP)\n"); print("")
      if (AdmiralFaction == "SPACE_MARINE" and ShipClass == "BATTLECRUISER"):  #The Space Marine faction has no Battlecruisers
        print("Invalid Selection - Try Again\n")
        continue
      AddShipToAdmiral(ProfileMM,AdmiralFaction,ShipClass)
    elif (EditProperty == "EscortUpgrades"):
      EscortUpgradesNew = 3
      while True: 
        EscortShip = ProfileMM.find(b'\x45\x53\x43\x4F\x52\x54',ProfileMM.tell()) #ESCORT
        if (EscortShip != -1):
          ProfileMM.seek(ProfileMM.find(b'\x53\x6C\x6F\x74\x73\x4D\x61\x78',EscortShip)+33) #SlotsMax
          ProfileMM.write(EscortUpgradesNew.to_bytes(4,sys.byteorder))
        else:
          break
    elif (EditProperty == "NextLevel"):
      EditLevel(ProfileMM,1,AdmiralLevel,1)
    elif (EditProperty == "MAXADMIRAL!"):
      EditLevel(ProfileMM,1,8,0)
      AddShipToAdmiral(ProfileMM,AdmiralFaction,"LIGHT_CRUISER")
      AddShipToAdmiral(ProfileMM,AdmiralFaction,"CRUISER")
      AddShipToAdmiral(ProfileMM,AdmiralFaction,"CRUISER")
      AddShipToAdmiral(ProfileMM,AdmiralFaction,"CRUISER")
      if (AdmiralFaction != "SPACE_MARINE"):  #The Space Marine faction has no Battlecruisers but instead has 2 Battleship slots
        AddShipToAdmiral(ProfileMM,AdmiralFaction,"BATTLECRUISER")
        AddShipToAdmiral(ProfileMM,AdmiralFaction,"BATTLECRUISER")
      if (AdmiralFaction == "SPACE_MARINE"):
        AddShipToAdmiral(ProfileMM,AdmiralFaction,"CRUISER")
        AddShipToAdmiral(ProfileMM,AdmiralFaction,"BATTLESHIP")
      AddShipToAdmiral(ProfileMM,AdmiralFaction,"BATTLESHIP")
      AdmiralPropertyNew = 100000
      ProfileMM.seek(ProfileMM.find(b'\x52\x65\x6E\x6F\x77\x6E\x65\x64\x50\x6F\x69\x6E\x74\x73')+39)  #RenownedPoints
      ProfileMM.write(AdmiralPropertyNew.to_bytes(4,sys.byteorder))
      ProfileMM.seek(0)
      AdmiralPropertyNew = 3
      while True: 
        EscortShip = ProfileMM.find(b'\x45\x53\x43\x4F\x52\x54',ProfileMM.tell()) #ESCORT
        if (EscortShip != -1):
          ProfileMM.seek(ProfileMM.find(b'\x53\x6C\x6F\x74\x73\x4D\x61\x78',EscortShip)+33) #SlotsMax
          ProfileMM.write(AdmiralPropertyNew.to_bytes(4,sys.byteorder))
        else:
          break
    elif (EditProperty == "Back"):
      break
    else:
      print("Invalid Selection - Try Again\n")
      continue
  
  ProfileMM.flush()
  return
  
def EditShips(ProfileMM):
  ProfileMM.seek(0) #Reset MM file position in case this function gets called in the middle of execution
  print("Ship List\n")
  
  while True: #Find and display list of non Escort class ships
    ShipPos = ProfileMM.find(b'\x53\x68\x69\x70\x44\x61\x74\x61') #ShipData
    if (ShipPos == -1):
      break
    ProfileMM.seek(ShipPos+58)
    StrLength = int.from_bytes(ProfileMM.read(4), sys.byteorder)
    if (StrLength == 0 or StrLength > 255): #Ensure a valid ship name length value
      continue
    ShipName = ProfileMM.read(StrLength).decode("utf-8")
    ProfileMM.seek(ProfileMM.find(b'\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A')+9) #Tonnage::
    if (ProfileMM.read(6) != b'\x45\x53\x43\x4F\x52\x54' and ShipName != ""):  #Exclude Escort ships
      print(ShipName)
    
  print("\nBack: Go Back")
      
  while True: #Ship selection input loop
    ProfileMM.seek(0)
    EditShip = input("\nSelect Ship: "); print("")
    if (EditShip == "Back"):
      return
    EditShip += "\0"  #Append a null byte to ensure we don't match against the class of ship
    ShipPos = ProfileMM.find(EditShip.encode("utf-8"))
    if (ShipPos == -1):
      print("Invalid Selection - Try Again")
      continue
    else:
      break
  
  while True: #Ship property edit input loop. See Readme for explanation of why individual crew skill code is commented out
    ProfileMM.seek(ShipPos+len(EditShip)+57)
    StrLength = int.from_bytes(ProfileMM.read(4), sys.byteorder)
    ProfileMM.seek(13, os.SEEK_CUR)
    ShipClass = ProfileMM.read(StrLength-14).decode("utf-8")
    ProfileMM.seek(ProfileMM.find(b'\x6E\x4C\x65\x76\x65\x6C', ProfileMM.tell())+31)  #nLevel
    ShipLevel = ProfileMM.read_byte()+1 #Ship levels are offsets from 1 for some stupid reason
    ProfileMM.seek(ProfileMM.find(b'\x43\x75\x72\x72\x65\x6E\x74\x58\x50', ProfileMM.tell())+34)  #CurrentXP
    ShipCurrentXP = int.from_bytes(ProfileMM.read(4), sys.byteorder)
    ProfileMM.seek(ProfileMM.find(b'\x58\x50\x54\x6F\x74\x61\x6C', ProfileMM.tell())+32)  #XPTotal
    ShipTotalXP = int.from_bytes(ProfileMM.read(4), sys.byteorder)
    ProfileMM.seek(ProfileMM.find(b'\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65',ProfileMM.tell())+44)  #NbUpgradesAvailable
    ShipCrewPoints = ProfileMM.read_byte()
    ProfileMM.seek(ProfileMM.find(b'\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78',ProfileMM.tell())+37) #PictureIndex
    ShipCaptainPicture = ProfileMM.read_byte()
    ProfileMM.seek(ProfileMM.find(b'\x53\x6C\x6F\x74\x73\x4D\x61\x78',ProfileMM.tell())+33) #SlotsMax
    ShipUpgradeSlots = ProfileMM.read_byte()
    ProfileMM.seek(ProfileMM.find(b'\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64',ProfileMM.tell())+36) #BattleWaged
    ShipBattles = ProfileMM.read_byte()

    print("Ship Properties\n")
    print("(Name):",EditShip)
    print("(Class):",ShipClass)
    print("Level:",ShipLevel)
    print("(CurrentXP):",ShipCurrentXP)
    print("(TotalXP):",ShipTotalXP)
    print("CaptainPicture:",ShipCaptainPicture)
    print("CrewPoints:",ShipCrewPoints)
    print("UpgradeSlots:",ShipUpgradeSlots)
    print("BattlesWaged:",ShipBattles)
    print("\nMAXSHIP!: Sets max level, crew points, upgrade slots")
    print("Back: Go Back")
    EditProperty = input("\nSelect Property: "); print("")
    ProfileMM.seek(ShipPos)
  
    if (EditProperty == "Level"):
      ShipLevelNew = int(input("Enter new level: ")); print("")
      EditLevel(ProfileMM,0,ShipLevelNew,0)
    elif (EditProperty == "CaptainPicture"):
      ShipPropertyNew = int(input("Enter new picture index: ")); print("")
      ProfileMM.seek(ProfileMM.find(b'\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78',ProfileMM.tell())+37) #PictureIndex
      ProfileMM.write(ShipPropertyNew.to_bytes(1,sys.byteorder))
    elif (EditProperty == "CrewPoints"):
      ShipPropertyNew = int(input("Enter new crew points value: ")); print("")
      ProfileMM.seek(ProfileMM.find(b'\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65',ProfileMM.tell())+44)  #NbUpgradesAvailable
      ProfileMM.write(ShipPropertyNew.to_bytes(1,sys.byteorder))
    elif (EditProperty == "UpgradeSlots"):
      ShipPropertyNew = int(input("Enter new Upgrade Slots value: ")); print("")
      ProfileMM.seek(ProfileMM.find(b'\x53\x6C\x6F\x74\x73\x4D\x61\x78',ProfileMM.tell())+33) #SlotsMax
      ProfileMM.write(ShipPropertyNew.to_bytes(1,sys.byteorder))
    elif (EditProperty == "BattlesWaged"):
      ShipPropertyNew = int(input("Enter new Battles Waged: ")); print("")
      ProfileMM.seek(ProfileMM.find(b'\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64',ProfileMM.tell())+36) #BattleWaged
      ProfileMM.write(ShipPropertyNew.to_bytes(1,sys.byteorder))
    elif (EditProperty == "MAXSHIP!"):
      EditLevel(ProfileMM,0,10,0)
      ShipPropertyNew = 9
      ProfileMM.seek(ProfileMM.find(b'\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65',ProfileMM.tell())+44)  #NbUpgradesAvailable
      ProfileMM.write(ShipPropertyNew.to_bytes(1,sys.byteorder))
      ShipPropertyNew = 5
      ProfileMM.seek(ProfileMM.find(b'\x53\x6C\x6F\x74\x73\x4D\x61\x78',ProfileMM.tell())+33) #SlotsMax
      ProfileMM.write(ShipPropertyNew.to_bytes(1,sys.byteorder))
    elif (EditProperty == "Back"):
      break
    else:
      print("Invalid Selection - Try Again\n")
      continue

  ProfileMM.flush()
  return
  
def EditLevel(ProfileMM,IsAdmiral,Level,IsNextLevel):
  AdmiralXPValues = {1:0, 2:200, 3:500, 4:900, 5:1400, 6:2000, 7:2700, 8:3500}
  ShipXPValues = {2:100, 3:300, 4:600, 5:1000, 6:1500, 7:2100, 8:2800, 9:3600, 10:4500}
  CurrentXPNew = 0
  
  if (IsAdmiral == 1 and IsNextLevel == 0):
    ProfileMM.seek(ProfileMM.find(b'\x4C\x65\x76\x65\x6C\x00\x0C',0)+30)  #Level
    ProfileMM.write(Level.to_bytes(4,sys.byteorder))
    TotalXPNew = AdmiralXPValues[Level]
  elif (IsAdmiral == 1 and IsNextLevel == 1):
    TotalXPNew = AdmiralXPValues[Level+1] - 100
    CurrentXPNew = AdmiralXPValues[Level+1] - AdmiralXPValues[Level] - 100
  else:
    ProfileMM.seek(ProfileMM.find(b'\x6E\x4C\x65\x76\x65\x6C',ProfileMM.tell())+31)  #nLevel
    ProfileMM.write((Level-1).to_bytes(4,sys.byteorder))  #Ship levels are offsets from 1 for some stupid reason
    TotalXPNew = ShipXPValues[Level]
  
  ProfileMM.seek(ProfileMM.find(b'\x43\x75\x72\x72\x65\x6E\x74\x58\x50',ProfileMM.tell())+34)  #CurrentXP
  ProfileMM.write(CurrentXPNew.to_bytes(4,sys.byteorder))
  ProfileMM.seek(ProfileMM.find(b'\x58\x50\x54\x6F\x74\x61\x6C',ProfileMM.tell())+32)  #XPTotal
  ProfileMM.write(TotalXPNew.to_bytes(4,sys.byteorder))
  return
  
def InsertIntoMM(MM,InsertData,InsertOffset):
  MMOldSize = MM.size()
  InsertBytes = len(InsertData)
  MM.resize(MMOldSize+InsertBytes)
  MM.move(InsertOffset+InsertBytes,InsertOffset,MMOldSize-InsertOffset)
  MM.seek(InsertOffset)
  MM.write(InsertData)
  MM.flush()
  return
  
def DeleteFromMM(MM,DeleteStart,DeleteEnd):
  MMOldSize = MM.size()
  DeleteLength = DeleteEnd - DeleteStart
  MM.move(DeleteStart,DeleteEnd,MMOldSize-DeleteEnd)
  MM.resize(MMOldSize-DeleteLength)
  MM.flush()
  return

def AddShipToAdmiral(ProfileMM,Faction,ShipClass):
  #These are binary blobs represnting unlocked ship slots of a given class for a given faction.
  #Note that fleet size limitations cannot be exceeded as this logic must be enforced within the game itself.
  if (Faction=="IMPERIUM" and ShipClass=="LIGHT_CRUISER"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x1B\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x4C\x49\x47\x48\x54\x5F\x43\x52\x55\x49\x53\x45\x52\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1A\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x16\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x49\x4D\x50\x45\x52\x49\x55\x4D\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xED\x01\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x68\x83\xA5\x2B\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0E\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x52\x61\x76\x65\x6E\x62\x65\x61\x72\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xF4\x04\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x60\x00\x00\x00\x00\x00\x00\x00\x5C\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x6F\x6D\x6D\x69\x73\x73\x69\x6F\x6E\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x6F\x6D\x6D\x69\x73\x73\x69\x6F\x6E\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5A\x00\x00\x00\x00\x00\x00\x00\x56\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5C\x00\x00\x00\x00\x00\x00\x00\x58\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x50\x72\x69\x65\x73\x74\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x50\x72\x69\x65\x73\x74\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5E\x00\x00\x00\x00\x00\x00\x00\x5A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x65\x6E\x61\x6C\x4C\x65\x67\x69\x6F\x6E\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x65\x6E\x61\x6C\x4C\x65\x67\x69\x6F\x6E\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x65\x72\x76\x69\x74\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x65\x72\x76\x69\x74\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x64\x00\x00\x00\x00\x00\x00\x00\x60\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="IMPERIUM" and ShipClass=="CRUISER"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x43\x52\x55\x49\x53\x45\x52\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1A\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x16\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x49\x4D\x50\x45\x52\x49\x55\x4D\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xED\x01\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x68\x83\xA5\x2B\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0E\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x52\x61\x76\x65\x6E\x62\x65\x61\x72\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xF4\x04\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x60\x00\x00\x00\x00\x00\x00\x00\x5C\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x6F\x6D\x6D\x69\x73\x73\x69\x6F\x6E\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x6F\x6D\x6D\x69\x73\x73\x69\x6F\x6E\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5A\x00\x00\x00\x00\x00\x00\x00\x56\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5C\x00\x00\x00\x00\x00\x00\x00\x58\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x50\x72\x69\x65\x73\x74\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x50\x72\x69\x65\x73\x74\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5E\x00\x00\x00\x00\x00\x00\x00\x5A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x65\x6E\x61\x6C\x4C\x65\x67\x69\x6F\x6E\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x65\x6E\x61\x6C\x4C\x65\x67\x69\x6F\x6E\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x65\x72\x76\x69\x74\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x65\x72\x76\x69\x74\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x64\x00\x00\x00\x00\x00\x00\x00\x60\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="IMPERIUM" and ShipClass=="BATTLECRUISER"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x1B\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x42\x41\x54\x54\x4C\x45\x43\x52\x55\x49\x53\x45\x52\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1A\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x16\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x49\x4D\x50\x45\x52\x49\x55\x4D\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xED\x01\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x68\x83\xA5\x2B\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0E\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x52\x61\x76\x65\x6E\x62\x65\x61\x72\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xF4\x04\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x60\x00\x00\x00\x00\x00\x00\x00\x5C\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x6F\x6D\x6D\x69\x73\x73\x69\x6F\x6E\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x6F\x6D\x6D\x69\x73\x73\x69\x6F\x6E\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5A\x00\x00\x00\x00\x00\x00\x00\x56\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5C\x00\x00\x00\x00\x00\x00\x00\x58\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x50\x72\x69\x65\x73\x74\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x50\x72\x69\x65\x73\x74\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5E\x00\x00\x00\x00\x00\x00\x00\x5A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x65\x6E\x61\x6C\x4C\x65\x67\x69\x6F\x6E\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x65\x6E\x61\x6C\x4C\x65\x67\x69\x6F\x6E\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x65\x72\x76\x69\x74\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x65\x72\x76\x69\x74\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x64\x00\x00\x00\x00\x00\x00\x00\x60\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="IMPERIUM" and ShipClass=="BATTLESHIP"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x42\x41\x54\x54\x4C\x45\x53\x48\x49\x50\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1A\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x16\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x49\x4D\x50\x45\x52\x49\x55\x4D\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xED\x01\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x68\x83\xA5\x2B\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0E\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x52\x61\x76\x65\x6E\x62\x65\x61\x72\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xF4\x04\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x60\x00\x00\x00\x00\x00\x00\x00\x5C\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x6F\x6D\x6D\x69\x73\x73\x69\x6F\x6E\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x6F\x6D\x6D\x69\x73\x73\x69\x6F\x6E\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5A\x00\x00\x00\x00\x00\x00\x00\x56\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5C\x00\x00\x00\x00\x00\x00\x00\x58\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x50\x72\x69\x65\x73\x74\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x50\x72\x69\x65\x73\x74\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5E\x00\x00\x00\x00\x00\x00\x00\x5A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x65\x6E\x61\x6C\x4C\x65\x67\x69\x6F\x6E\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x65\x6E\x61\x6C\x4C\x65\x67\x69\x6F\x6E\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x65\x72\x76\x69\x74\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x65\x72\x76\x69\x74\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x64\x00\x00\x00\x00\x00\x00\x00\x60\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="CHAOS" and ShipClass=="LIGHT_CRUISER"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x1B\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x4C\x49\x47\x48\x54\x5F\x43\x52\x55\x49\x53\x45\x52\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x17\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x13\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x43\x48\x41\x4F\x53\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xEA\x01\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\xE8\x7E\xA4\x0A\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0B\x00\x00\x00\x00\x00\x00\x00\x07\x00\x00\x00\x4D\x61\x6C\x6D\x75\x73\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x05\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x6C\x00\x00\x00\x00\x00\x00\x00\x68\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x44\x61\x65\x6D\x6F\x6E\x69\x63\x49\x6E\x66\x6C\x75\x65\x6E\x63\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x44\x61\x65\x6D\x6F\x6E\x69\x63\x49\x6E\x66\x6C\x75\x65\x6E\x63\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x6E\x00\x00\x00\x00\x00\x00\x00\x6A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x6F\x73\x73\x65\x73\x73\x65\x64\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x6F\x73\x73\x65\x73\x73\x65\x64\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x48\x65\x72\x65\x74\x65\x6B\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x48\x65\x72\x65\x74\x65\x6B\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x66\x00\x00\x00\x00\x00\x00\x00\x62\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x43\x68\x61\x6F\x73\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x43\x68\x61\x6F\x73\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5A\x00\x00\x00\x00\x00\x00\x00\x56\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x75\x6C\x74\x69\x73\x74\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x75\x6C\x74\x69\x73\x74\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x54\x00\x00\x00\x00\x00\x00\x00\x50\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x6C\x61\x76\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x6C\x61\x76\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x72\x00\x00\x00\x00\x00\x00\x00\x6E\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x63\x68\x61\x6F\x73\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x63\x68\x61\x6F\x73\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x03\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="CHAOS" and ShipClass=="CRUISER"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x43\x52\x55\x49\x53\x45\x52\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x17\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x13\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x43\x48\x41\x4F\x53\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xEA\x01\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\xE8\x7E\xA4\x0A\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0B\x00\x00\x00\x00\x00\x00\x00\x07\x00\x00\x00\x4D\x61\x6C\x6D\x75\x73\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x05\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x6C\x00\x00\x00\x00\x00\x00\x00\x68\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x44\x61\x65\x6D\x6F\x6E\x69\x63\x49\x6E\x66\x6C\x75\x65\x6E\x63\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x44\x61\x65\x6D\x6F\x6E\x69\x63\x49\x6E\x66\x6C\x75\x65\x6E\x63\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x6E\x00\x00\x00\x00\x00\x00\x00\x6A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x6F\x73\x73\x65\x73\x73\x65\x64\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x6F\x73\x73\x65\x73\x73\x65\x64\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x48\x65\x72\x65\x74\x65\x6B\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x48\x65\x72\x65\x74\x65\x6B\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x66\x00\x00\x00\x00\x00\x00\x00\x62\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x43\x68\x61\x6F\x73\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x43\x68\x61\x6F\x73\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5A\x00\x00\x00\x00\x00\x00\x00\x56\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x75\x6C\x74\x69\x73\x74\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x75\x6C\x74\x69\x73\x74\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x54\x00\x00\x00\x00\x00\x00\x00\x50\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x6C\x61\x76\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x6C\x61\x76\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x72\x00\x00\x00\x00\x00\x00\x00\x6E\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x63\x68\x61\x6F\x73\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x63\x68\x61\x6F\x73\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x03\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="CHAOS" and ShipClass=="BATTLECRUISER"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x1B\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x42\x41\x54\x54\x4C\x45\x43\x52\x55\x49\x53\x45\x52\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x17\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x13\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x43\x48\x41\x4F\x53\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xEA\x01\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\xE8\x7E\xA4\x0A\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0B\x00\x00\x00\x00\x00\x00\x00\x07\x00\x00\x00\x4D\x61\x6C\x6D\x75\x73\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x05\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x6C\x00\x00\x00\x00\x00\x00\x00\x68\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x44\x61\x65\x6D\x6F\x6E\x69\x63\x49\x6E\x66\x6C\x75\x65\x6E\x63\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x44\x61\x65\x6D\x6F\x6E\x69\x63\x49\x6E\x66\x6C\x75\x65\x6E\x63\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x6E\x00\x00\x00\x00\x00\x00\x00\x6A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x6F\x73\x73\x65\x73\x73\x65\x64\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x6F\x73\x73\x65\x73\x73\x65\x64\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x48\x65\x72\x65\x74\x65\x6B\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x48\x65\x72\x65\x74\x65\x6B\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x66\x00\x00\x00\x00\x00\x00\x00\x62\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x43\x68\x61\x6F\x73\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x43\x68\x61\x6F\x73\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5A\x00\x00\x00\x00\x00\x00\x00\x56\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x75\x6C\x74\x69\x73\x74\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x75\x6C\x74\x69\x73\x74\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x54\x00\x00\x00\x00\x00\x00\x00\x50\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x6C\x61\x76\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x6C\x61\x76\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x72\x00\x00\x00\x00\x00\x00\x00\x6E\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x63\x68\x61\x6F\x73\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x63\x68\x61\x6F\x73\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x03\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="CHAOS" and ShipClass=="BATTLESHIP"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x42\x41\x54\x54\x4C\x45\x53\x48\x49\x50\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x17\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x13\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x43\x48\x41\x4F\x53\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xEA\x01\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\xE8\x7E\xA4\x0A\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0B\x00\x00\x00\x00\x00\x00\x00\x07\x00\x00\x00\x4D\x61\x6C\x6D\x75\x73\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x05\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x6C\x00\x00\x00\x00\x00\x00\x00\x68\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x44\x61\x65\x6D\x6F\x6E\x69\x63\x49\x6E\x66\x6C\x75\x65\x6E\x63\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x44\x61\x65\x6D\x6F\x6E\x69\x63\x49\x6E\x66\x6C\x75\x65\x6E\x63\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x6E\x00\x00\x00\x00\x00\x00\x00\x6A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x6F\x73\x73\x65\x73\x73\x65\x64\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x6F\x73\x73\x65\x73\x73\x65\x64\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x48\x65\x72\x65\x74\x65\x6B\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x48\x65\x72\x65\x74\x65\x6B\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x66\x00\x00\x00\x00\x00\x00\x00\x62\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x43\x68\x61\x6F\x73\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x43\x68\x61\x6F\x73\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5A\x00\x00\x00\x00\x00\x00\x00\x56\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x75\x6C\x74\x69\x73\x74\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x75\x6C\x74\x69\x73\x74\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x54\x00\x00\x00\x00\x00\x00\x00\x50\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x6C\x61\x76\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x6C\x61\x76\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x72\x00\x00\x00\x00\x00\x00\x00\x6E\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x43\x68\x61\x6F\x73\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x63\x68\x61\x6F\x73\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x63\x68\x61\x6F\x73\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x03\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="ORK" and ShipClass=="LIGHT_CRUISER"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x1B\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x4C\x49\x47\x48\x54\x5F\x43\x52\x55\x49\x53\x45\x52\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x15\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x11\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x4F\x52\x4B\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xEC\x01\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\xE8\x1C\xC4\x73\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0D\x00\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x4B\x72\x61\x73\x68\x4E\x6F\x62\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xF0\x04\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x60\x00\x00\x00\x00\x00\x00\x00\x5C\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x68\x61\x69\x6E\x65\x64\x53\x71\x75\x69\x67\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x68\x61\x69\x6E\x65\x64\x53\x71\x75\x69\x67\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x57\x65\x69\x72\x64\x42\x6F\x79\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x57\x65\x69\x72\x64\x42\x6F\x79\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x54\x00\x00\x00\x00\x00\x00\x00\x50\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x69\x67\x4D\x65\x6B\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x69\x67\x4D\x65\x6B\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x60\x00\x00\x00\x00\x00\x00\x00\x5C\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x4F\x72\x6B\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x4F\x72\x6B\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5A\x00\x00\x00\x00\x00\x00\x00\x56\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x46\x6C\x61\x73\x68\x47\x69\x74\x7A\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x46\x6C\x61\x73\x68\x47\x69\x74\x7A\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x52\x00\x00\x00\x00\x00\x00\x00\x4E\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x47\x72\x6F\x74\x7A\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x47\x72\x6F\x74\x7A\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x6C\x00\x00\x00\x00\x00\x00\x00\x68\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x4F\x72\x6B\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x4F\x72\x6B\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="ORK" and ShipClass=="CRUISER"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x43\x52\x55\x49\x53\x45\x52\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x15\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x11\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x4F\x52\x4B\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xEC\x01\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\xE8\x1C\xC4\x73\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0D\x00\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x4B\x72\x61\x73\x68\x4E\x6F\x62\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xF0\x04\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x60\x00\x00\x00\x00\x00\x00\x00\x5C\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x68\x61\x69\x6E\x65\x64\x53\x71\x75\x69\x67\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x68\x61\x69\x6E\x65\x64\x53\x71\x75\x69\x67\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x57\x65\x69\x72\x64\x42\x6F\x79\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x57\x65\x69\x72\x64\x42\x6F\x79\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x54\x00\x00\x00\x00\x00\x00\x00\x50\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x69\x67\x4D\x65\x6B\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x69\x67\x4D\x65\x6B\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x60\x00\x00\x00\x00\x00\x00\x00\x5C\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x4F\x72\x6B\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x4F\x72\x6B\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5A\x00\x00\x00\x00\x00\x00\x00\x56\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x46\x6C\x61\x73\x68\x47\x69\x74\x7A\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x46\x6C\x61\x73\x68\x47\x69\x74\x7A\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x52\x00\x00\x00\x00\x00\x00\x00\x4E\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x47\x72\x6F\x74\x7A\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x47\x72\x6F\x74\x7A\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x6C\x00\x00\x00\x00\x00\x00\x00\x68\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x4F\x72\x6B\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x4F\x72\x6B\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="ORK" and ShipClass=="BATTLECRUISER"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x1B\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x42\x41\x54\x54\x4C\x45\x43\x52\x55\x49\x53\x45\x52\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x15\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x11\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x4F\x52\x4B\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xEC\x01\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\xE8\x1C\xC4\x73\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0D\x00\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x4B\x72\x61\x73\x68\x4E\x6F\x62\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xF0\x04\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x60\x00\x00\x00\x00\x00\x00\x00\x5C\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x68\x61\x69\x6E\x65\x64\x53\x71\x75\x69\x67\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x68\x61\x69\x6E\x65\x64\x53\x71\x75\x69\x67\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x57\x65\x69\x72\x64\x42\x6F\x79\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x57\x65\x69\x72\x64\x42\x6F\x79\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x54\x00\x00\x00\x00\x00\x00\x00\x50\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x69\x67\x4D\x65\x6B\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x69\x67\x4D\x65\x6B\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x60\x00\x00\x00\x00\x00\x00\x00\x5C\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x4F\x72\x6B\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x4F\x72\x6B\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5A\x00\x00\x00\x00\x00\x00\x00\x56\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x46\x6C\x61\x73\x68\x47\x69\x74\x7A\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x46\x6C\x61\x73\x68\x47\x69\x74\x7A\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x52\x00\x00\x00\x00\x00\x00\x00\x4E\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x47\x72\x6F\x74\x7A\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x47\x72\x6F\x74\x7A\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x6C\x00\x00\x00\x00\x00\x00\x00\x68\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x4F\x72\x6B\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x4F\x72\x6B\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="ORK" and ShipClass=="BATTLESHIP"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x42\x41\x54\x54\x4C\x45\x53\x48\x49\x50\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x15\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x11\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x4F\x52\x4B\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xEC\x01\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\xE8\x1C\xC4\x73\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0D\x00\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x4B\x72\x61\x73\x68\x4E\x6F\x62\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xF0\x04\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x60\x00\x00\x00\x00\x00\x00\x00\x5C\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x68\x61\x69\x6E\x65\x64\x53\x71\x75\x69\x67\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x43\x68\x61\x69\x6E\x65\x64\x53\x71\x75\x69\x67\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x57\x65\x69\x72\x64\x42\x6F\x79\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x57\x65\x69\x72\x64\x42\x6F\x79\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x54\x00\x00\x00\x00\x00\x00\x00\x50\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x69\x67\x4D\x65\x6B\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x69\x67\x4D\x65\x6B\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x60\x00\x00\x00\x00\x00\x00\x00\x5C\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x4F\x72\x6B\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x4F\x72\x6B\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5A\x00\x00\x00\x00\x00\x00\x00\x56\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x46\x6C\x61\x73\x68\x47\x69\x74\x7A\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x46\x6C\x61\x73\x68\x47\x69\x74\x7A\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x52\x00\x00\x00\x00\x00\x00\x00\x4E\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x47\x72\x6F\x74\x7A\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x47\x72\x6F\x74\x7A\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x6C\x00\x00\x00\x00\x00\x00\x00\x68\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x4F\x72\x6B\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x4F\x72\x6B\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x4F\x72\x6B\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="ELDAR" and ShipClass=="LIGHT_CRUISER"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x1B\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x4C\x49\x47\x48\x54\x5F\x43\x52\x55\x49\x53\x45\x52\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x17\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x13\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x45\x4C\x44\x41\x52\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xEC\x01\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\xE8\x4D\x23\x36\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0D\x00\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x41\x72\x61\x67\x72\x69\x65\x6C\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x18\x05\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x57\x61\x72\x6C\x6F\x63\x6B\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x57\x61\x72\x6C\x6F\x63\x6B\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x60\x00\x00\x00\x00\x00\x00\x00\x5C\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x56\x6F\x69\x64\x44\x72\x65\x61\x6D\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x56\x6F\x69\x64\x44\x72\x65\x61\x6D\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5E\x00\x00\x00\x00\x00\x00\x00\x5A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x6F\x6E\x65\x53\x69\x6E\x67\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x6F\x6E\x65\x53\x69\x6E\x67\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x66\x00\x00\x00\x00\x00\x00\x00\x62\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x45\x6C\x64\x61\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x45\x6C\x64\x61\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5E\x00\x00\x00\x00\x00\x00\x00\x5A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x6C\x61\x64\x65\x53\x77\x6F\x72\x6E\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x6C\x61\x64\x65\x53\x77\x6F\x72\x6E\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x60\x00\x00\x00\x00\x00\x00\x00\x5C\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x70\x69\x72\x69\x74\x53\x74\x6F\x6E\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x70\x69\x72\x69\x74\x53\x74\x6F\x6E\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x72\x00\x00\x00\x00\x00\x00\x00\x6E\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x45\x6C\x64\x61\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x45\x6C\x64\x61\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="ELDAR" and ShipClass=="CRUISER"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x43\x52\x55\x49\x53\x45\x52\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x17\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x13\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x45\x4C\x44\x41\x52\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xEC\x01\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\xE8\x4D\x23\x36\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0D\x00\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x41\x72\x61\x67\x72\x69\x65\x6C\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x18\x05\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x57\x61\x72\x6C\x6F\x63\x6B\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x57\x61\x72\x6C\x6F\x63\x6B\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x60\x00\x00\x00\x00\x00\x00\x00\x5C\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x56\x6F\x69\x64\x44\x72\x65\x61\x6D\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x56\x6F\x69\x64\x44\x72\x65\x61\x6D\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5E\x00\x00\x00\x00\x00\x00\x00\x5A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x6F\x6E\x65\x53\x69\x6E\x67\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x6F\x6E\x65\x53\x69\x6E\x67\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x66\x00\x00\x00\x00\x00\x00\x00\x62\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x45\x6C\x64\x61\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x45\x6C\x64\x61\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5E\x00\x00\x00\x00\x00\x00\x00\x5A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x6C\x61\x64\x65\x53\x77\x6F\x72\x6E\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x6C\x61\x64\x65\x53\x77\x6F\x72\x6E\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x60\x00\x00\x00\x00\x00\x00\x00\x5C\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x70\x69\x72\x69\x74\x53\x74\x6F\x6E\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x70\x69\x72\x69\x74\x53\x74\x6F\x6E\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x72\x00\x00\x00\x00\x00\x00\x00\x6E\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x45\x6C\x64\x61\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x45\x6C\x64\x61\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="ELDAR" and ShipClass=="BATTLECRUISER"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x1B\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x42\x41\x54\x54\x4C\x45\x43\x52\x55\x49\x53\x45\x52\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x17\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x13\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x45\x4C\x44\x41\x52\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xEC\x01\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\xE8\x4D\x23\x36\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0D\x00\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x41\x72\x61\x67\x72\x69\x65\x6C\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x18\x05\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x57\x61\x72\x6C\x6F\x63\x6B\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x57\x61\x72\x6C\x6F\x63\x6B\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x60\x00\x00\x00\x00\x00\x00\x00\x5C\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x56\x6F\x69\x64\x44\x72\x65\x61\x6D\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x56\x6F\x69\x64\x44\x72\x65\x61\x6D\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5E\x00\x00\x00\x00\x00\x00\x00\x5A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x6F\x6E\x65\x53\x69\x6E\x67\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x6F\x6E\x65\x53\x69\x6E\x67\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x66\x00\x00\x00\x00\x00\x00\x00\x62\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x45\x6C\x64\x61\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x45\x6C\x64\x61\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5E\x00\x00\x00\x00\x00\x00\x00\x5A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x6C\x61\x64\x65\x53\x77\x6F\x72\x6E\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x6C\x61\x64\x65\x53\x77\x6F\x72\x6E\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x60\x00\x00\x00\x00\x00\x00\x00\x5C\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x70\x69\x72\x69\x74\x53\x74\x6F\x6E\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x70\x69\x72\x69\x74\x53\x74\x6F\x6E\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x72\x00\x00\x00\x00\x00\x00\x00\x6E\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x45\x6C\x64\x61\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x45\x6C\x64\x61\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="ELDAR" and ShipClass=="BATTLESHIP"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x42\x41\x54\x54\x4C\x45\x53\x48\x49\x50\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x17\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x13\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x45\x4C\x44\x41\x52\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xEC\x01\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\xE8\x4D\x23\x36\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0D\x00\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x41\x72\x61\x67\x72\x69\x65\x6C\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x18\x05\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x57\x61\x72\x6C\x6F\x63\x6B\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x57\x61\x72\x6C\x6F\x63\x6B\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x60\x00\x00\x00\x00\x00\x00\x00\x5C\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x56\x6F\x69\x64\x44\x72\x65\x61\x6D\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x56\x6F\x69\x64\x44\x72\x65\x61\x6D\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5E\x00\x00\x00\x00\x00\x00\x00\x5A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x6F\x6E\x65\x53\x69\x6E\x67\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x6F\x6E\x65\x53\x69\x6E\x67\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x66\x00\x00\x00\x00\x00\x00\x00\x62\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x45\x6C\x64\x61\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x45\x6C\x64\x61\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5E\x00\x00\x00\x00\x00\x00\x00\x5A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x6C\x61\x64\x65\x53\x77\x6F\x72\x6E\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x42\x6C\x61\x64\x65\x53\x77\x6F\x72\x6E\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x60\x00\x00\x00\x00\x00\x00\x00\x5C\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x70\x69\x72\x69\x74\x53\x74\x6F\x6E\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x70\x69\x72\x69\x74\x53\x74\x6F\x6E\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x72\x00\x00\x00\x00\x00\x00\x00\x6E\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x45\x6C\x64\x61\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x45\x6C\x64\x61\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x45\x6C\x64\x61\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="SPACE_MARINE" and ShipClass=="LIGHT_CRUISER"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x1B\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x4C\x49\x47\x48\x54\x5F\x43\x52\x55\x49\x53\x45\x52\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1E\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x1A\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x53\x50\x41\x43\x45\x5F\x4D\x41\x52\x49\x4E\x45\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xEB\x01\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x58\x36\x99\x47\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0C\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x44\x6F\x6E\x61\x74\x6F\x73\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xF6\x04\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x4E\x00\x00\x00\x00\x00\x00\x00\x4A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x6D\x70\x74\x79\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x6D\x70\x74\x79\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5A\x00\x00\x00\x00\x00\x00\x00\x56\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x61\x00\x00\x00\x00\x00\x00\x00\x5D\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x53\x4D\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x50\x72\x69\x65\x73\x74\x5F\x53\x4D\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x50\x72\x69\x65\x73\x74\x5F\x53\x4D\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5D\x00\x00\x00\x00\x00\x00\x00\x59\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x53\x4D\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x53\x4D\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x53\x4D\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x63\x00\x00\x00\x00\x00\x00\x00\x5F\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x53\x4D\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x65\x6E\x61\x6C\x4C\x65\x67\x69\x6F\x6E\x5F\x53\x4D\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x65\x6E\x61\x6C\x4C\x65\x67\x69\x6F\x6E\x5F\x53\x4D\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x65\x72\x76\x69\x74\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x65\x72\x76\x69\x74\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x69\x00\x00\x00\x00\x00\x00\x00\x65\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x53\x4D\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x53\x4D\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x53\x4D\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x03\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="SPACE_MARINE" and ShipClass=="CRUISER"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x43\x52\x55\x49\x53\x45\x52\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1E\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x1A\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x53\x50\x41\x43\x45\x5F\x4D\x41\x52\x49\x4E\x45\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xEB\x01\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x58\x36\x99\x47\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0C\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x44\x6F\x6E\x61\x74\x6F\x73\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xF6\x04\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x4E\x00\x00\x00\x00\x00\x00\x00\x4A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x6D\x70\x74\x79\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x6D\x70\x74\x79\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5A\x00\x00\x00\x00\x00\x00\x00\x56\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x61\x00\x00\x00\x00\x00\x00\x00\x5D\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x53\x4D\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x50\x72\x69\x65\x73\x74\x5F\x53\x4D\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x50\x72\x69\x65\x73\x74\x5F\x53\x4D\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5D\x00\x00\x00\x00\x00\x00\x00\x59\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x53\x4D\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x53\x4D\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x53\x4D\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x63\x00\x00\x00\x00\x00\x00\x00\x5F\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x53\x4D\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x65\x6E\x61\x6C\x4C\x65\x67\x69\x6F\x6E\x5F\x53\x4D\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x65\x6E\x61\x6C\x4C\x65\x67\x69\x6F\x6E\x5F\x53\x4D\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x65\x72\x76\x69\x74\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x65\x72\x76\x69\x74\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x69\x00\x00\x00\x00\x00\x00\x00\x65\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x53\x4D\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x53\x4D\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x53\x4D\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x03\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="SPACE_MARINE" and ShipClass=="BATTLESHIP"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x42\x41\x54\x54\x4C\x45\x53\x48\x49\x50\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1E\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x1A\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x53\x50\x41\x43\x45\x5F\x4D\x41\x52\x49\x4E\x45\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xEB\x01\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x58\x36\x99\x47\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0C\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x44\x6F\x6E\x61\x74\x6F\x73\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\xF6\x04\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x4E\x00\x00\x00\x00\x00\x00\x00\x4A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x6D\x70\x74\x79\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x6D\x70\x74\x79\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5A\x00\x00\x00\x00\x00\x00\x00\x56\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x4E\x61\x76\x69\x67\x61\x74\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x61\x00\x00\x00\x00\x00\x00\x00\x5D\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x53\x4D\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x50\x72\x69\x65\x73\x74\x5F\x53\x4D\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x50\x72\x69\x65\x73\x74\x5F\x53\x4D\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5D\x00\x00\x00\x00\x00\x00\x00\x59\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x53\x4D\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x53\x4D\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x72\x74\x69\x6C\x6C\x65\x72\x5F\x53\x4D\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x63\x00\x00\x00\x00\x00\x00\x00\x5F\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x53\x4D\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x65\x6E\x61\x6C\x4C\x65\x67\x69\x6F\x6E\x5F\x53\x4D\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x50\x65\x6E\x61\x6C\x4C\x65\x67\x69\x6F\x6E\x5F\x53\x4D\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x49\x6D\x70\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x65\x72\x76\x69\x74\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x65\x72\x76\x69\x74\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x69\x00\x00\x00\x00\x00\x00\x00\x65\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x53\x4D\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x53\x4D\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x53\x71\x75\x61\x64\x72\x6F\x6E\x4C\x65\x61\x64\x65\x72\x5F\x53\x4D\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x03\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="TAU" and ShipClass=="LIGHT_CRUISER"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x1B\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x4C\x49\x47\x48\x54\x5F\x43\x52\x55\x49\x53\x45\x52\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0E\x00\x00\x00\x62\x49\x73\x41\x75\x78\x69\x6C\x6C\x69\x61\x72\x79\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x15\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x11\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x54\x41\x55\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0F\x02\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x88\xAE\x0A\x13\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x30\x00\x00\x00\x00\x00\x00\x00\xEA\xFF\xFF\xFF\x4B\x00\x6F\x00\x72\x00\x19\x20\x45\x00\x6C\x00\x20\x00\x44\x00\x19\x20\x59\x00\x61\x00\x6E\x00\x6F\x00\x69\x00\x20\x00\x49\x00\x72\x00\x19\x20\x68\x00\x69\x00\x6E\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1E\x05\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x74\x68\x65\x72\x65\x61\x6C\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x74\x68\x65\x72\x65\x61\x6C\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x66\x00\x00\x00\x00\x00\x00\x00\x62\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x69\x72\x43\x61\x73\x74\x65\x4F\x66\x66\x69\x63\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x69\x72\x43\x61\x73\x74\x65\x4F\x66\x66\x69\x63\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x6C\x00\x00\x00\x00\x00\x00\x00\x68\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x61\x72\x74\x68\x43\x61\x73\x74\x65\x45\x6E\x67\x69\x6E\x65\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x61\x72\x74\x68\x43\x61\x73\x74\x65\x45\x6E\x67\x69\x6E\x65\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x64\x00\x00\x00\x00\x00\x00\x00\x60\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x61\x72\x67\x65\x74\x69\x6E\x67\x44\x72\x6F\x6E\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x61\x72\x67\x65\x74\x69\x6E\x67\x44\x72\x6F\x6E\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5E\x00\x00\x00\x00\x00\x00\x00\x5A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x46\x69\x72\x65\x57\x61\x72\x72\x69\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x46\x69\x72\x65\x57\x61\x72\x72\x69\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x64\x00\x00\x00\x00\x00\x00\x00\x60\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x44\x72\x6F\x6E\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x44\x72\x6F\x6E\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x62\x00\x00\x00\x00\x00\x00\x00\x5E\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x69\x72\x43\x61\x73\x74\x65\x50\x69\x6C\x6F\x74\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x69\x72\x43\x61\x73\x74\x65\x50\x69\x6C\x6F\x74\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="TAU" and ShipClass=="CRUISER"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x43\x52\x55\x49\x53\x45\x52\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0E\x00\x00\x00\x62\x49\x73\x41\x75\x78\x69\x6C\x6C\x69\x61\x72\x79\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x15\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x11\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x54\x41\x55\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0F\x02\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x88\xAE\x0A\x13\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x30\x00\x00\x00\x00\x00\x00\x00\xEA\xFF\xFF\xFF\x4B\x00\x6F\x00\x72\x00\x19\x20\x45\x00\x6C\x00\x20\x00\x44\x00\x19\x20\x59\x00\x61\x00\x6E\x00\x6F\x00\x69\x00\x20\x00\x49\x00\x72\x00\x19\x20\x68\x00\x69\x00\x6E\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1E\x05\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x74\x68\x65\x72\x65\x61\x6C\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x74\x68\x65\x72\x65\x61\x6C\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x66\x00\x00\x00\x00\x00\x00\x00\x62\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x69\x72\x43\x61\x73\x74\x65\x4F\x66\x66\x69\x63\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x69\x72\x43\x61\x73\x74\x65\x4F\x66\x66\x69\x63\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x6C\x00\x00\x00\x00\x00\x00\x00\x68\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x61\x72\x74\x68\x43\x61\x73\x74\x65\x45\x6E\x67\x69\x6E\x65\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x61\x72\x74\x68\x43\x61\x73\x74\x65\x45\x6E\x67\x69\x6E\x65\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x64\x00\x00\x00\x00\x00\x00\x00\x60\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x61\x72\x67\x65\x74\x69\x6E\x67\x44\x72\x6F\x6E\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x61\x72\x67\x65\x74\x69\x6E\x67\x44\x72\x6F\x6E\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5E\x00\x00\x00\x00\x00\x00\x00\x5A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x46\x69\x72\x65\x57\x61\x72\x72\x69\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x46\x69\x72\x65\x57\x61\x72\x72\x69\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x64\x00\x00\x00\x00\x00\x00\x00\x60\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x44\x72\x6F\x6E\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x44\x72\x6F\x6E\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x62\x00\x00\x00\x00\x00\x00\x00\x5E\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x69\x72\x43\x61\x73\x74\x65\x50\x69\x6C\x6F\x74\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x69\x72\x43\x61\x73\x74\x65\x50\x69\x6C\x6F\x74\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="TAU" and ShipClass=="BATTLECRUISER"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x1B\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x42\x41\x54\x54\x4C\x45\x43\x52\x55\x49\x53\x45\x52\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0E\x00\x00\x00\x62\x49\x73\x41\x75\x78\x69\x6C\x6C\x69\x61\x72\x79\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x15\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x11\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x54\x41\x55\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0F\x02\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x88\xAE\x0A\x13\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x30\x00\x00\x00\x00\x00\x00\x00\xEA\xFF\xFF\xFF\x4B\x00\x6F\x00\x72\x00\x19\x20\x45\x00\x6C\x00\x20\x00\x44\x00\x19\x20\x59\x00\x61\x00\x6E\x00\x6F\x00\x69\x00\x20\x00\x49\x00\x72\x00\x19\x20\x68\x00\x69\x00\x6E\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1E\x05\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x74\x68\x65\x72\x65\x61\x6C\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x74\x68\x65\x72\x65\x61\x6C\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x66\x00\x00\x00\x00\x00\x00\x00\x62\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x69\x72\x43\x61\x73\x74\x65\x4F\x66\x66\x69\x63\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x69\x72\x43\x61\x73\x74\x65\x4F\x66\x66\x69\x63\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x6C\x00\x00\x00\x00\x00\x00\x00\x68\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x61\x72\x74\x68\x43\x61\x73\x74\x65\x45\x6E\x67\x69\x6E\x65\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x61\x72\x74\x68\x43\x61\x73\x74\x65\x45\x6E\x67\x69\x6E\x65\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x64\x00\x00\x00\x00\x00\x00\x00\x60\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x61\x72\x67\x65\x74\x69\x6E\x67\x44\x72\x6F\x6E\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x61\x72\x67\x65\x74\x69\x6E\x67\x44\x72\x6F\x6E\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5E\x00\x00\x00\x00\x00\x00\x00\x5A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x46\x69\x72\x65\x57\x61\x72\x72\x69\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x46\x69\x72\x65\x57\x61\x72\x72\x69\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x64\x00\x00\x00\x00\x00\x00\x00\x60\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x44\x72\x6F\x6E\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x44\x72\x6F\x6E\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x62\x00\x00\x00\x00\x00\x00\x00\x5E\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x69\x72\x43\x61\x73\x74\x65\x50\x69\x6C\x6F\x74\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x69\x72\x43\x61\x73\x74\x65\x50\x69\x6C\x6F\x74\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'
  elif (Faction=="TAU" and ShipClass=="BATTLESHIP"):
    NewShipData=b'\x0B\x00\x00\x00\x53\x68\x69\x70\x4C\x69\x6E\x6B\x65\x64\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x7F\x02\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x53\x68\x69\x70\x44\x61\x74\x61\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x54\x6F\x6E\x6E\x61\x67\x65\x53\x68\x69\x70\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1F\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x54\x6F\x6E\x6E\x61\x67\x65\x3A\x3A\x42\x41\x54\x54\x4C\x45\x53\x48\x49\x50\x00\x0B\x00\x00\x00\x53\x68\x69\x70\x53\x74\x61\x74\x65\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x53\x68\x69\x70\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x11\x00\x00\x00\x43\x75\x73\x74\x6F\x6D\x50\x61\x72\x74\x73\x41\x72\x72\x61\x79\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x46\x61\x76\x6F\x72\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x09\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x12\x00\x00\x00\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x57\x65\x61\x70\x6F\x6E\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x46\x61\x76\x6F\x72\x53\x6B\x69\x6C\x6C\x53\x65\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0E\x00\x00\x00\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0E\x00\x00\x00\x62\x49\x73\x41\x75\x78\x69\x6C\x6C\x69\x61\x72\x79\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x09\x00\x00\x00\x65\x46\x61\x63\x74\x69\x6F\x6E\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x15\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00\x11\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x54\x41\x55\x00\x0B\x00\x00\x00\x62\x49\x73\x43\x61\x70\x74\x61\x69\x6E\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x08\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x0F\x02\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x50\x65\x72\x73\x6F\x6E\x61\x6C\x69\x74\x79\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x24\x00\x00\x00\x00\x00\x00\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x00\x20\x00\x00\x00\x45\x6E\x75\x6D\x50\x65\x72\x73\x6F\x6E\x6E\x61\x6C\x69\x74\x79\x43\x61\x70\x74\x61\x69\x6E\x3A\x3A\x43\x4F\x57\x41\x52\x44\x00\x09\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x1B\x00\x00\x00\x6E\x4E\x62\x42\x6C\x61\x6D\x65\x4D\x61\x78\x42\x65\x66\x6F\x72\x65\x45\x78\x65\x63\x75\x74\x69\x6F\x6E\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x88\xAE\x0A\x13\x07\x00\x00\x00\x6E\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x43\x75\x72\x72\x65\x6E\x74\x58\x50\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x58\x50\x54\x6F\x74\x61\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x4E\x62\x55\x70\x67\x72\x61\x64\x65\x73\x41\x76\x61\x69\x6C\x61\x62\x6C\x65\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x14\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x50\x69\x63\x74\x75\x72\x65\x49\x6E\x64\x65\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x0C\x00\x00\x00\x43\x61\x70\x74\x61\x69\x6E\x4E\x61\x6D\x65\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x30\x00\x00\x00\x00\x00\x00\x00\xEA\xFF\xFF\xFF\x4B\x00\x6F\x00\x72\x00\x19\x20\x45\x00\x6C\x00\x20\x00\x44\x00\x19\x20\x59\x00\x61\x00\x6E\x00\x6F\x00\x69\x00\x20\x00\x49\x00\x72\x00\x19\x20\x68\x00\x69\x00\x6E\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0B\x00\x00\x00\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1E\x05\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x07\x00\x00\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x58\x00\x00\x00\x00\x00\x00\x00\x54\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x74\x68\x65\x72\x65\x61\x6C\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x74\x68\x65\x72\x65\x61\x6C\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x66\x00\x00\x00\x00\x00\x00\x00\x62\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x69\x72\x43\x61\x73\x74\x65\x4F\x66\x66\x69\x63\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x69\x72\x43\x61\x73\x74\x65\x4F\x66\x66\x69\x63\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x6C\x00\x00\x00\x00\x00\x00\x00\x68\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x61\x72\x74\x68\x43\x61\x73\x74\x65\x45\x6E\x67\x69\x6E\x65\x65\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x45\x61\x72\x74\x68\x43\x61\x73\x74\x65\x45\x6E\x67\x69\x6E\x65\x65\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x64\x00\x00\x00\x00\x00\x00\x00\x60\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x61\x72\x67\x65\x74\x69\x6E\x67\x44\x72\x6F\x6E\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x61\x72\x67\x65\x74\x69\x6E\x67\x44\x72\x6F\x6E\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x5E\x00\x00\x00\x00\x00\x00\x00\x5A\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x46\x69\x72\x65\x57\x61\x72\x72\x69\x6F\x72\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x46\x69\x72\x65\x57\x61\x72\x72\x69\x6F\x72\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x64\x00\x00\x00\x00\x00\x00\x00\x60\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x44\x72\x6F\x6E\x65\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x44\x72\x6F\x6E\x65\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x0A\x00\x00\x00\x43\x72\x65\x77\x43\x6C\x61\x73\x73\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x62\x00\x00\x00\x00\x00\x00\x00\x5E\x00\x00\x00\x2F\x47\x61\x6D\x65\x2F\x42\x6C\x75\x65\x50\x72\x69\x6E\x74\x2F\x43\x72\x65\x77\x2F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x2F\x54\x61\x75\x2F\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x69\x72\x43\x61\x73\x74\x65\x50\x69\x6C\x6F\x74\x2E\x42\x50\x5F\x43\x72\x65\x77\x4D\x65\x6D\x62\x65\x72\x5F\x41\x69\x72\x43\x61\x73\x74\x65\x50\x69\x6C\x6F\x74\x5F\x43\x00\x06\x00\x00\x00\x4C\x65\x76\x65\x6C\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x09\x00\x00\x00\x46\x6C\x65\x65\x74\x50\x6F\x73\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00\x00\x12\x00\x00\x00\x6E\x62\x55\x70\x67\x72\x61\x64\x65\x53\x6C\x6F\x74\x73\x4D\x61\x78\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x62\x49\x73\x49\x6E\x6A\x75\x72\x65\x64\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x00\x00\x00\x62\x49\x73\x4C\x6F\x63\x6B\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x42\x61\x74\x74\x6C\x65\x57\x61\x67\x65\x64\x00\x0C\x00\x00\x00\x49\x6E\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x19\x00\x00\x00\x4C\x61\x73\x74\x54\x65\x63\x68\x6E\x69\x63\x61\x6C\x53\x6B\x69\x6C\x6C\x53\x65\x74\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x15\x00\x00\x00\x4C\x61\x73\x74\x55\x70\x67\x72\x61\x64\x65\x73\x43\x6C\x61\x73\x73\x46\x69\x74\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x4F\x62\x6A\x65\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x05\x00\x00\x00\x54\x61\x67\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0C\x00\x00\x00\x53\x74\x72\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x0B\x00\x00\x00\x41\x75\x74\x6F\x53\x6B\x69\x6C\x6C\x73\x00\x0E\x00\x00\x00\x41\x72\x72\x61\x79\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x04\x00\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x09\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x00\x0F\x00\x00\x00\x53\x74\x72\x75\x63\x74\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x37\x01\x00\x00\x00\x00\x00\x00\x0D\x00\x00\x00\x42\x65\x68\x61\x76\x69\x6F\x72\x53\x61\x76\x65\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00\x00\x52\x61\x6E\x67\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x22\x00\x00\x00\x00\x00\x00\x00\x0A\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x00\x1E\x00\x00\x00\x45\x6E\x75\x6D\x52\x61\x6E\x67\x65\x3A\x3A\x44\x65\x66\x65\x6E\x73\x65\x54\x75\x72\x72\x65\x74\x52\x61\x6E\x67\x65\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x19\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x00\x15\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x53\x69\x64\x65\x3A\x3A\x4C\x45\x46\x54\x00\x0B\x00\x00\x00\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x79\x74\x65\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x1C\x00\x00\x00\x00\x00\x00\x00\x0F\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x00\x18\x00\x00\x00\x45\x6E\x75\x6D\x41\x74\x74\x61\x63\x6B\x4D\x6F\x64\x65\x3A\x3A\x46\x52\x4F\x4E\x54\x41\x4C\x00\x12\x00\x00\x00\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65\x00\x0D\x00\x00\x00\x42\x6F\x6F\x6C\x50\x72\x6F\x70\x65\x72\x74\x79\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00\x05\x00\x00\x00\x4E\x6F\x6E\x65\x00'  
  
  ProfileMM.seek(0)
  ProfileMM.seek(ProfileMM.find(b'\x43\x72\x65\x77\x53\x61\x76\x65')+27)  #CrewSave
  ShipDataLength = int.from_bytes(ProfileMM.read(4),sys.byteorder)
  ShipDataLength += len(NewShipData)
  ProfileMM.seek(-4,os.SEEK_CUR)
  ProfileMM.write(ShipDataLength.to_bytes(4,sys.byteorder))
  ProfileMM.seek(23,os.SEEK_CUR)
  ShipQuantity = int.from_bytes(ProfileMM.read(4),sys.byteorder)
  ShipQuantity += 1
  ProfileMM.seek(-4,os.SEEK_CUR)
  ProfileMM.write(ShipQuantity.to_bytes(4,sys.byteorder))
  NewShipDataOffset = ProfileMM.rfind(b'\x49\x73\x49\x6E\x41\x67\x72\x65\x73\x73\x69\x76\x65\x4D\x6F\x64\x65')+62 #Last instance of IsInAggressiveMode which marks the end of a ship data block
  InsertIntoMM(ProfileMM,NewShipData,NewShipDataOffset)
  return
  
def ResolveMissions(ProfileMM):
  FactionImperium = b'\x16\x00\x00\x00\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x3A\x3A\x49\x4D\x50\x45\x52\x49\x55\x4D\x00' #EnumFaction::IMPERIUM
  ProfileMM.seek(0)
  while True:
    MissionStart = ProfileMM.find(b'\x48\x61\x73\x43\x61\x6D\x70\x61\x69\x67\x6E\x45\x76\x65\x6E\x74')  #HasCampaignEvent
    ProfileMM.seek(ProfileMM.find(b'\x49\x73\x4D\x61\x6E\x64\x61\x74\x6F\x72\x79',MissionStart)+37) #IsMandatory
    IsMandatory = ProfileMM.read_byte() #Indicates if this is a priority mission
    ProfileMM.seek(MissionStart+42)
    IsMission = ProfileMM.read_byte()
    if (MissionStart != -1 and IsMission == 1 and IsMandatory == 0):
      ProfileMM.seek(-1,os.SEEK_CUR)
      ProfileMM.write_byte(0) #Remove the active mission
      FactionStart = ProfileMM.rfind(b'\x45\x6E\x75\x6D\x46\x61\x63\x74\x69\x6F\x6E\x00',0,MissionStart)+12  #EnumFaction
      ProfileMM.seek(FactionStart)
      MissionFaction = ProfileMM.read(len(FactionImperium))
      FactionLength = MissionFaction[0]+4
      if (MissionFaction != FactionImperium): #Set world control to IMPERIUM
        DeleteFromMM(ProfileMM,FactionStart,FactionStart+FactionLength)
        InsertIntoMM(ProfileMM,FactionImperium,FactionStart)
    elif (MissionStart == -1):
      break
      
  while True:
    Threat = ProfileMM.find(b'\x54\x68\x72\x65\x61\x74')  #Threat
    if (Threat != -1):
      ProfileMM.seek(Threat+31)
      ProfileMM.write_byte(0) #Set Threat to 0
      ProfileMM.seek(ProfileMM.tell()+48)
      ProfileMM.write_byte(0) #Set NbWorldPossessed to 0
    else:
      break
  return
